Documentation Index

Fetch the complete documentation index at: https://rocket.wilas.ovh/llms.txt

Use this file to discover all available pages before exploring further.

Deactivate Idle Users

Prev Next
Post
/api/v1/users.deactivateIdle

Automatically deactivate idle users in your workspace based on the number of days and roles.

For every user that this endpoint deactivates, Rocket.Chat clears the user's login tokens and revokes their OAuth access tokens, refresh tokens, and authorization codes. Deactivated users can no longer call the REST API with previously issued OAuth credentials.

Permission required: edit-other-user-active-status

Changelog

Version Description
8.5.0 Deactivated users now also have their login tokens cleared and their OAuth access tokens, refresh tokens, and authorization codes revoked.
3.1.0 Added
Header parameters
X-User-Id
stringRequired

The authenticated user ID.

ExamplerbAXPnMktTFbNpwtJ
X-Auth-Token
stringRequired

The authenticated user token.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
Body parameters
Example 1
{
  "daysIdle": 2,
  "role": "user"
}
object
daysIdle
integer Required

The number of days that the user is idle.

Example2
role
string

The user role.

Default"user"
Exampleadmin
Responses
200
Success Example
{
  "count": 1,
  "success": true
}
object
count
integer
success
boolean
400

Bad Request

Example 1
{
  "success": false,
  "error": "must have required property 'daysIdle' [invalid-params]",
  "errorType": "invalid-params"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string
403

Forbidden

Permission Error
{
  "success": false,
  "error": "unauthorized"
}
object
success
boolean
error
string